can't run classic nes gba roms

Discussion in 'CycloDS' started by saki2mi, Jul 31, 2008.

  1. saki2mi
    OP

    saki2mi Newbie

    Newcomer
    3
    0
    Jul 31, 2008
    United States
    i know you can easily emulate classic nes games, but i'm really curious why i can't run these roms using gbaexploader. the roms themselves load fine, but the games don't respond to buttons. thanks in advance.
     
  2. triple-sevenz

    triple-sevenz GBAtemp Regular

    Member
    163
    1
    Jun 14, 2008
    United States
    while i really dont kno anything about this, isnt gbaexploader used to run gba games, not nes games? you kno concerning that it is gbaexploader and all. i might be wrong. like i said, im really dont kno but using common sense it seems pretty clear that it shouldnt work in the first place.
     
  3. Christen

    Christen GBAtemp Regular

    Member
    154
    0
    Aug 12, 2007
    Canada
  4. triple-sevenz

    triple-sevenz GBAtemp Regular

    Member
    163
    1
    Jun 14, 2008
    United States
    ahh my mistake. like i said i dunno much about this stuff lol. if its just a port, why not go play the original game using a nes emulator for the ds?
     
  5. saki2mi
    OP

    saki2mi Newbie

    Newcomer
    3
    0
    Jul 31, 2008
    United States
    sorry for the confusion. as christen has posted, there are series of nes games that were released for gba.

    i'm curious if it's my rom/cyclods/ez v. can someone try them out? thanks!
     
  6. callmebob

    callmebob The Grandpa of Awe!

    Member
    634
    68
    Jan 24, 2007
    Germany
    Bitburger Brewery (a lot)
    [​IMG] Wheels on the bike go round and round, round and round. Wheels on the bike go round and round, all through the day.
     
  7. DeMoN

    DeMoN GBAtemp Guru

    Member
    7,651
    100
    May 12, 2004
    United States
    The "NES for GBA" series' ROMs don't work at all with any emulator, from what I remember.
    Your best bet is to just download an NES emulator for the DS and NES ROMs.

    Or you can try IPS patching, look here:
    http://gbatemp.net/index.php?showtopic=63195
     
  8. saki2mi
    OP

    saki2mi Newbie

    Newcomer
    3
    0
    Jul 31, 2008
    United States
    thanks for the reply. i guess i'll just resort to nes emulator.
     
  9. billyjoebob97

    billyjoebob97 Newbie

    Newcomer
    1
    0
    Aug 1, 2008
    United States
    You can't run the Classic NES series GBA roms because you are using an older outdated version of GBAexploader. The current version supports Classic NES series roms, the older versions do not.

    Also worth noting, the beta feature of the CycloDS GBA loader does not currently support the Classic NES GBA roms. You need the current version of GBAexploader.

    That being said, NESDS has realtime save and rewind so that is my preferred method of running NES games.
     
  10. Destructobot

    Destructobot Crave the Hammer

    Member
    5,005
    4
    Oct 15, 2006
    United States
    Portland, OR
    Most of those games run better in nesDS or PocketNES anyway, but the Japanese SMB 2 (AKA The Lost Levels) won't run on either. You can get the full set of patches for the NES Classic and Famicom Mini series' here: http://gbatemp.net/index.php?download=1872
     
  11. DanTheManMS

    DanTheManMS aka Ricochet Otter

    Member
    4,330
    107
    Jun 2, 2007
    United States
    Georgia
    You can play SMB 2 (Lost Levels) via PocketNES or NES DS with an IPS patch if you wish. Grab a copy of "Super Mario Bros 2 (J) [P1]" (which may be incorrectly named "Mario and Luigi (SMB1 Hack) [a1]" in some sets) and apply the IPS patch file from http://gbafan.pocketheaven.com/nes.html

    Not entirely authentic, but it's as close as you can get without having actual FDS emulation.